Bug 56705 - rpm -i older.src.rpm does not work
rpm -i older.src.rpm does not work
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-11-25 22:56 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-25 22:57:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-25 22:56:54 EST
Description of Problem:
`rpm -i' fails on older src.rpm's

Version-Release number of selected component (if applicable):
rpm-4.0.3 on default redhat 7.2

How Reproducible:

Steps to Reproduce: (example)
1. wget
2. ~# rpm -i xgoban-wally-1-1.src.rpm

Actual Results:
error: unpacking of archive failed on file xgoban-wally.spec: cpio: Archive
file not in header

Expected Results:
Installs the source files to $RPM_SOURCE_DIR and the spec file

Additional Information:
This has nothing to do with this specific package. This happens to 
lots of packages, both from the web and custom built.. 
They *can* be installed(unpacked) like this:
rpm2cpio some.src.rpm | rpm2cpio -idumv
but that's defying the purpose of rpm.
They can be installed(unpacked) on at least redhat 6.2 without
Comment 1 Jeff Johnson 2001-11-26 07:18:08 EST
The xgoban package was prepared on 1/17/98, dunno
what version of rpm 2.4.10. That's a long time ago, and
there are many problems long since fixed in rpm-2.x.y.

Use rpm2cpio to create a new src.rpm. 'Tain't hard, nowhere
near as hard as trying to maintain legacy compatible code
for buggy software.
Comment 2 Per Starbäck 2002-01-17 14:54:20 EST
It's not only src.rpm's.  I can't install the old Applix rpms I've been using up
to Red Hat 7.1 on Red Hat 7.2.

# rpm -i --nodeps applix-4.3-2.office.i386.rpm
error: unpacking of archive failed on file applix/applix: cpio: Archive file not
  in header

Note You need to log in before you can comment on or make changes to this bug.